\name{eqscplotLoc}
\alias{eqscplotLoc}
\title{Local Version of eqscplot from the package MASS}
\description{

  Local version of \code{eqscplotLoc} from the package MASS.

  Plots with Geometrically Equal Scales: Version of a scatterplot
  with scales chosen to be equal on both axes, that is 1cm represents
  the same units on each.
}
\usage{

eqscplotLoc(x, y, ratio = 1, tol = 0.04, uin, ...)


}
\arguments{
         \item{x}{vector of x values, or a 2-column matrix, or a list with
          components 'x' and 'y'.}

         \item{y}{vector of y values.}

     \item{ratio}{desired ratio of units on the axes.  Units on the y axis are
          drawn at 'ratio' times the size of units on the x axis.
          Ignored if 'uin' is specified and of length 2.}

       \item{tol}{proportion of white space at the margins of plot.}

       \item{uin}{desired values for the units-per-inch parameter. If of length
          1, the desired units per inch on the x axis.}

       \item{...}{further arguments for 'plot' and graphical parameters.
          Note that 'par(xaxs="i", yaxs="i")' is enforced, and
          'xlim' and 'ylim' will be adjusted accordingly.}
}
\details{

 Plots with Geometrically Equal Scales
 eqscplot from the package MASS (Version: 7.3-3, 2009-10-15
 Maintainer: Brian Ripley <ripley@stats.ox.ac.uk>).
  
 To make the package stand alone, this function
 is included as source.

     Limits for the x and y axes are chosen so that they include the
     data.  One of the sets of limits is then stretched from the
     midpoint to make the units in the ratio given by 'ratio'.
     Finally both are stretched by '1 + tol' to move points away
     from the axes, and the points plotted.
}
\value{
 \item{}{    invisibly, the values of 'uin' used for the plot.}
    }
\seealso{
\code{\link{fabi}},
\code{\link{fabia}},
\code{\link{fabiap}},
\code{\link{fabias}},
\code{\link{fabiasp}},
\code{\link{mfsc}},
\code{\link{nmfdiv}},
\code{\link{nmfeu}},
\code{\link{plot}},
\code{\link{extract_plot}},
\code{\link{extract_bic}},
\code{\link{plotBicluster}},
\code{\link{Factorization}},
\code{\link{nprojfunc}},
\code{\link{projfunc}},
\code{\link{estimateMode}},
\code{\link{make_fabi_data}},
\code{\link{make_fabi_data_blocks}},
\code{\link{make_fabi_data_pos}},
\code{\link{make_fabi_data_blocks_pos}},
\code{\link{myImagePlot}},
\code{\link{Breast_A}},
\code{\link{DLBCL_B}},
\code{\link{Multi_A}},
\code{\link{eqscplotLoc}},
\code{\link{summary}},
\code{\link{show}},
\code{\link{fabiaDemo}},
\code{\link{fabiaVersion}}
}
\author{Sepp Hochreiter}
\references{
     Venables, W. N. and Ripley, B. D., (2002), \sQuote{Modern Applied
     Statistics with S}, Fourth edition,  Springer.
}
\keyword{hplot}

