\name{plotBicluster}
\alias{plotBicluster}
\title{Plotting of a bicluster}
\description{

  \code{plotBicluster}: \R implementation of  \code{plotBicluster}.
}
\usage{

plotBicluster(r,p,opp=FALSE,zlim=NULL,title=NULL,which=c(1, 2))



}
\arguments{
  \item{r}{the result of extract_bic.}
  \item{p}{the bicluster to plot. }
  \item{opp}{plot opposite bicluster, default = FALSE.}
  \item{zlim}{vector containing a low and high value to use for the color scale.}
  \item{title}{title of the plot.}
  \item{which}{which plots are shown: 1=data matrix with
    bicluster on upper left, 2=plot of the bicluster; default c(1, 2).}
}
\details{
  
  One bicluster is visualized by two plots. The variable
  "which" indicates which plots should be shown.

   Plot1 (which=1):
  The data matrix is sorted such that the bicluster appear at the
  upper left corner.
  The bicluster is marked by a rectangle.

  Plot2 (which=2):
  Only the bicluster is plotted.
  
   Implementation in \R.
}
\seealso{
\code{\link{fabi}},
\code{\link{fabia}},
\code{\link{fabiap}},
\code{\link{fabias}},
\code{\link{fabiasp}},
\code{\link{mfsc}},
\code{\link{nmfdiv}},
\code{\link{nmfeu}},
\code{\link{plot}},
\code{\link{extract_plot}},
\code{\link{extract_bic}},
\code{\link{plotBicluster}},
\code{\link{Factorization}},
\code{\link{nprojfunc}},
\code{\link{projfunc}},
\code{\link{estimateMode}},
\code{\link{make_fabi_data}},
\code{\link{make_fabi_data_blocks}},
\code{\link{make_fabi_data_pos}},
\code{\link{make_fabi_data_blocks_pos}},
\code{\link{myImagePlot}},
\code{\link{Breast_A}},
\code{\link{DLBCL_B}},
\code{\link{Multi_A}},
\code{\link{eqscplotLoc}},
\code{\link{summary}},
\code{\link{show}},
\code{\link{showSelected}},
\code{\link{fabiaDemo}},
\code{\link{fabiaVersion}}
}
\author{Sepp Hochreiter}
\examples{

#---------------
# TEST
#---------------

dat <- make_fabi_data_blocks(n = 100,l= 50,p = 3,f1 = 5,f2 = 5,
  of1 = 5,of2 = 10,sd_noise = 3.0,sd_z_noise = 0.2,mean_z = 2.0,
  sd_z = 1.0,sd_l_noise = 0.2,mean_l = 3.0,sd_l = 1.0)

X <- dat[[1]]
Y <- dat[[2]]


resEx <- fabia(X,3,0.1,20,1.0,1.0)

rEx <- extract_bic(resEx)

plotBicluster(rEx,p=1)


\dontrun{
#---------------
# DEMO1
#---------------

dat <- make_fabi_data_blocks(n = 1000,l= 100,p = 10,f1 = 5,f2 = 5,
  of1 = 5,of2 = 10,sd_noise = 3.0,sd_z_noise = 0.2,mean_z = 2.0,
  sd_z = 1.0,sd_l_noise = 0.2,mean_l = 3.0,sd_l = 1.0)

X <- dat[[1]]
Y <- dat[[2]]


resToy <- fabia(X,13,0.1,200,1.0,1.0)



rToy <- extract_bic(resToy)

plotBicluster(rToy,p=1)

#---------------
# DEMO2
#---------------

data(Breast_A)

X <- as.matrix(XBreast)

resBreast <- fabia(X,5,0.1,200,1.0,1.0)

rBreast <- extract_bic(resBreast)

plotBicluster(rBreast,p=1)


}
}
\keyword{hplot}
\concept{biclustering}

